aboutsummaryrefslogtreecommitdiffstatshomepage
path: root/deps.sh
diff options
context:
space:
mode:
authorEgor Tensin <Egor.Tensin@gmail.com>2022-12-26 11:17:49 +0100
committerEgor Tensin <Egor.Tensin@gmail.com>2022-12-26 17:08:30 +0100
commit2c8c6daccaeb2bc6864e3f0802381c7cf5fc38f7 (patch)
tree8cd26c428cb12ab475e22911576577419bfb96c9 /deps.sh
parentbump dependencies (diff)
downloadblog-2015.tar.gz
blog-2015.zip
add deps.sh to install working versions2015
Diffstat (limited to 'deps.sh')
-rwxr-xr-xdeps.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/deps.sh b/deps.sh
new file mode 100755
index 0000000..05232bf
--- /dev/null
+++ b/deps.sh
@@ -0,0 +1,19 @@
+#!/usr/bin/env bash
+
+set -o errexit -o nounset -o pipefail
+shopt -s inherit_errexit lastpipe
+
+rbenv install --skip-existing "$( cat .ruby-version )"
+rbenv rehash
+
+gem install bundler -v "$( tail -n 1 Gemfile.lock )"
+rbenv rehash
+
+bundle install
+rbenv rehash
+
+pyenv install --skip-existing "$( cat .python-version )"
+pyenv rehash
+
+pip install -r requirements.txt
+pyenv rehash